/*
 Theme Name:   Gallup Journey Child
 Theme URI:    https://gallupjourney.com
 Description:  Divi child theme for Gallup Journey
 Author:       Gallup Journey
 Author URI:   https://gallupjourney.com
 Template:     Divi
 Version:      1.0.0
 Text Domain:  gallup-journey
*/

/* ==========================================================================
   Header Styles
   ========================================================================== */

#main-header .container {
  width: 100%;
}

#main-header {
  background-image: linear-gradient(315deg, #feb600 0%, #fb1b5e 100%) !important;
}

@media only screen and (min-width: 981px) {
  .et_header_style_split .centered-inline-logo-wrap {
    height: 70px !important;
  }
  #main-header #top-menu li:not(.centered-inline-logo-wrap) {
    padding: 0px 40px;
    margin: 0px 20px;
  }
  #main-header #top-menu .centered-inline-logo-wrap {
    padding: 0px;
    width: 250px !important;
  }
  #main-header .centered-inline-logo-wrap:before {
    content: "";
    transform: translateY(0px);
    height: 115px;
    width: 100%;
    background-image: linear-gradient(315deg, #FA803F 0%, #F9604A 100%) !important;
    position: absolute;
    left: 0;
    top: 10px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    box-shadow: -1px 3px 5px 3px rgba(0, 0, 0, 0.1);
    z-index: 999;
    -webkit-transition: background-color 0.8s, color 0.8s, transform 0.8s, opacity 0.8s linear;
    -moz-transition: background-color 0.8s, color 0.8s, transform 0.8s, opacity 0.8s linear;
    transition: background-color 0.8s, color 0.8s, transform 0.8s, opacity 0.8s linear;
  }
  #page-container {
    margin-top: 0px !important;
  }
  .et-fixed-header {
    -webkit-transition: background-color 0.8s, color 0.8s, transform 0.8s, opacity 0.8s linear;
    -moz-transition: background-color 0.8s, color 0.8s, transform 0.8s, opacity 0.8s linear;
    transition: background-color 0.8s, color 0.8s, transform 0.8s, opacity 0.8s linear;
  }

  .et_header_style_split .et-fixed-header .centered-inline-logo-wrap {
    margin: -80px 0 !important;
  }

  #main-header.et-fixed-header .centered-inline-logo-wrap:before,
  #main-header .centered-inline-logo-wrap:before,
  #main-header #logo,
  #main-header.et-fixed-header #logo {
    -webkit-transition: all 0.8s, color 0.8s, transform 0.8s, opacity 0.8s linear;
    -moz-transition: all 0.8s, color 0.8s, transform 0.8s, opacity 0.8s linear;
    transition: all 0.8s, color 0.8s, transform 0.8s, opacity 0.8s linear;
  }

  #main-header #et-top-navigation,
  .et-fixed-header #et-top-navigation {
    padding: 30px 0 0 0 !important;
  }
  #main-header #et-top-navigation nav>ul>li>a {
    padding-bottom: 30px !important;
  }
  .et-fixed-header .centered-inline-logo-wrap .logo_container {
    padding: 3px 0px
  }

  #main-header:not(.et-fixed-header) .centered-inline-logo-wrap img {
    top: 10px;
    height: 100px !important;
    max-height: 135% !important;
    position: relative;
  }

  #main-header.et-fixed-header .centered-inline-logo-wrap:before {
    transform: translateY(-70px);
    border-radius: 0px;
    box-shadow: none;
    opacity: 0;
  }
  #main-header .nav li .sub-menu {
    position: fixed;
    display: flex;
    flex-flow: column nowrap;
    z-index: 99 !important;
    width: 100%;
    left: 0px;
    border: 0px;
    border-bottom: 5px solid #F84D47;
  }
  #main-header.et-fixed-header .nav li .sub-menu {
    top: 70px;
  }

  #main-header .logo_container a {
    z-index: 9999 !important;
  }
  #menu-item-17 .sub-menu:before {
    content: "Things";
    font-size: 27px;
    color: #000;
    padding: 15px 20px;
    margin: 0px 20px 15px 20px;
    border-bottom: 1px solid #000;
    width: 30%;
  }

  #top-menu-nav>ul>li>ul>li>a {
    font-size: 18px;
    margin: 5px 0px;
    padding: 13px 20px;
    transition: 0.8s all;
  }

  #top-menu-nav>ul>li>ul>li>a:hover {
    opacity: 1;
    background: #F84C46;
    color: #fff;
    transition: 0.8s all;
  }
}

#top-menu-nav>ul>li>a:hover {
  opacity: 1 !important;
}
#top-menu-nav>ul>li>a {
  color: #fff !important;
}

#top-menu-nav>ul>.menu-item:before {
  content: "";
  height: 5px;
  width: 100%;
  background: #fff;
  position: absolute;
  left: 0;
  top: -40px;
  transition: 0.8s all;
  opacity: 0;
}
.et-fixed-header #top-menu-nav>ul>.menu-item:before {
  content: "";
  height: 5px;
  width: 100%;
  background: #fff;
  position: absolute;
  left: 0;
  top: -26px;
  transition: 0.8s all;
  opacity: 0;
}

#top-menu-nav>ul>.menu-item:hover:before,
.et-fixed-header #top-menu-nav>ul>.menu-item:hover:before {
  opacity: 1;
  transition: 0.8s all;
}

#top-menu-nav>ul>li {
  position: relative;
}

/* Dropdown Arrows */
#top-menu .menu-item-has-children>a:first-child:after,
#et-secondary-nav .menu-item-has-children>a:first-child:after {
  position: absolute;
  top: 0;
  right: -5px !important;
  font-family: "Font Awesome 5 Free" !important;
  font-weight: 600 !important;
  font-size: 30px !important;
  content: "\f0d7" !important;
  transition: 0.8s all;
}

#top-menu .menu-item-has-children:hover>a:first-child:after,
#et-secondary-nav .menu-item-has-children:hover>a:first-child:after {
  transform: rotate(-90deg);
  transition: 0.8s all;
}

/* ==========================================================================
   Mobile Menu
   ========================================================================== */

@media screen and (max-width: 980px) {
  .et_header_style_split #main-header .mobile_nav {
    background-color: transparent;
    padding: 0px !important;
  }
  #main-header .mobile_nav .select_page {
    display: none !important;
  }
  .et_header_style_split #et-top-navigation,
  .et_header_style_split #et_mobile_nav_menu {
    position: static !important;
  }
  .et_header_style_split #main-header {
    padding: 10px 0px;
    max-height: 75px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .et_header_style_split .mobile_menu_bar {
    position: absolute !important;
    top: 10px;
    right: 15px !important;
    padding-bottom: 0px !important;
    border: 1px solid #f84c46;
    border-radius: 5px;
    padding: 2px 5px 0px 5px;
  }
  .et_header_style_split .et_mobile_menu {
    top: 64px !important;
    border: 0px !important;
    padding: 0px !important;
  }

  .et_header_style_split .et_mobile_menu {
    background-image: linear-gradient(315deg, #ffbf1d 0%, #ff2162 100%) !important;
    box-shadow: none !important;
  }

  .et_header_style_split .et_mobile_menu>li {
    display: inline-block;
    width: 20%;
    margin: 10px 2.3%;
    text-align: center;
    box-shadow: 0px 0px 50px 1px rgba(0, 0, 0, 0.1);
  }

  .et_header_style_split .et_mobile_menu>li:hover a {
    background: none !important;
    color: #000;
    opacity: 1;
  }

  .et_header_style_split .et_mobile_menu>li>a {
    font-size: 17px;
    color: #fff;
  }

  /* Child sub menu mobile styles */
  .container {
    width: 100% !important;
  }

  .et_header_style_left .logo_container {
    padding-left: 25px;
  }

  .et_header_style_centered #main-header .mobile_nav {
    background-color: transparent;
  }

  .mobile_nav.closed .select_page {
    display: none;
  }

  .et-fixed-header#main-header {
    background-color: transparent !important;
  }

  .et_mobile_menu {
    top: 0 !important;
    border-top: 3px solid #283fc0 !important;
    background-color: #fff !important;
    padding: 20% 0;
  }

  .et_mobile_menu li a {
    text-align: center;
    font-size: .8em;
    border: 0;
    padding: 15px 0;
    letter-spacing: 1px;
  }

  .mobile_nav ul#mobile_menu .current_page_item>a {
    color: #283fc0;
  }

  .mobile_nav ul#mobile_menu li ul li a {
    font-size: .8em !important;
    margin: auto;
    color: #363636 !important;
    padding-top: 0.2em;
  }

  .et_mobile_menu li a:hover {
    color: #999;
    -webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
  }

  .mobile_nav.opened .mobile_menu_bar:before {
    content: "\4d";
    z-index: 99999;
  }

  /* Nesting mobile menu settings */
  #et_mobile_nav_menu .mobile_nav.opened .mobile_menu_bar::before {
    content: '\4d';
  }

  #top-menu .menu-item-has-children .menu-item-has-children>a:first-child::after,
  #et-secondary-nav .menu-item-has-children .menu-item-has-children>a:first-child::after {
    content: '5';
  }

  #main-header #mobile_menu.et_mobile_menu .menu-item-has-children {
    position: relative;
  }

  #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle {
    position: relative;
    z-index: 1;
    width: 100%;
    height: 0;
    line-height: 36px;
    border-radius: 50%;
    top: 6px;
    right: 10px;
    cursor: pointer;
    text-align: center;
    color: #fff;
  }

  #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle::before {
    font-family: "ETmodules" !important;
    font-weight: normal;
    font-style: normal;
    font-variant: normal;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    line-height: 36px;
    font-size: 24px;
    text-transform: none;
    speak: none;
    content: '\33';
    top: 0;
    right: 0;
    position: absolute;
  }

  .et_header_style_split .et_mobile_menu>li {
    position: static !important;
  }

  .et_header_style_split .et_mobile_menu .sub-menu {
    position: absolute;
    background: #fff !important;
    width: 100%;
    top: 66px;
    left: 0;
    border-bottom: 3px solid #F74254;
    padding: 20px 20px 10px 20px !important;
    text-align: left;
  }

  .et_header_style_split .et_mobile_menu .sub-menu li {
    color: #000 !important;
    font-size: 17px !important;
    padding: 3px 0px;
  }

  .et_header_style_split .et_mobile_menu .sub-menu li a {
    text-align: left;
  }

  #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle.popped::before {
    content: '\32';
  }

  #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle~ul.sub-menu {
    display: none !important;
    padding-left: 0;
  }

  #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle.popped~ul.sub-menu {
    display: block !important;
    background-color: rgba(0, 0, 0, 0.03);
  }

  #main-header #mobile_menu.et_mobile_menu li li {
    padding-left: 0;
  }

  #main-header #mobile_menu.et_mobile_menu li a,
  #main-header #mobile_menu.et_mobile_menu li li a,
  #main-header #mobile_menu.et_mobile_menu li li li a {
    padding-left: 20px;
    padding-right: 20px;
  }

  #main-header #mobile_menu.et_mobile_menu .menu-item-has-children .sub-menu-toggle+a {
    padding-right: 20px;
  }

  #main-header #mobile_menu.et_mobile_menu .menu-item-has-children>a {
    background-color: transparent;
    font-weight: inherit;
  }

  #main-header #mobile_menu.et_mobile_menu li.current-menu-item>a {
    font-weight: bolder;
  }
}

@media screen and (max-width: 767px) {
  .et_header_style_split .et_mobile_menu>li {
    margin: 10px 2.2%;
  }
  #main-header #mobile_menu.et_mobile_menu .sub-menu-toggle {
    right: 2px;
  }
}

@media screen and (max-width: 480px) {
  .et_header_style_split .et_mobile_menu>li>a {
    font-size: 15px;
  }
  .et_header_style_split .et_mobile_menu>li {
    margin: 10px 0.1%;
    width: 24%;
  }
}
